<?php
/* Autor...:  */
/* Esquema.: TR_Vehiculo.xml */
/* Generado: 2021-09-09 16:56:52 */

/* Metodos de acceso a los campos de la tabla TR_Vehiculo */
abstract class BaseTR_VehiculoBN
{
    /* Campos de la tabla */
    private $i_IdVehiculo;    // IdVehiculo: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_VehiculoPlaca;    // VehiculoPlaca: ( no definido )
    private $s_VehiculoPlaca2;    // VehiculoPlaca2: ( no definido )
    private $s_VehiculoMarca;    // VehiculoMarca: ( no definido )
    private $s_VehiculoMdelo;    // VehiculoMdelo: ( no definido )
    private $s_NroMotor;    // NroMotor: ( no definido )
    private $s_Altura;    // Altura: ( no definido )
    private $s_Volumen;    // Volumen: ( no definido )
    private $s_NroSOAT;    // NroSOAT: ( no definido )
    private $d_VencSOAT;    // VencSOAT: ( no definido )
    private $s_NroMTC;    // NroMTC: ( no definido )
    private $s_RUCtransportista;    // RUCtransportista: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdVehiculo */
    public function setIdVehiculo( $i_IdVehiculo )
    {
        $this->i_IdVehiculo = $i_IdVehiculo;
    }

    /* Obtiene el valor del campo IdVehiculo */
    public function getIdVehiculo()
    {
        return $this->i_IdVehiculo;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo VehiculoPlaca */
    public function setVehiculoPlaca( $s_VehiculoPlaca )
    {
        $this->s_VehiculoPlaca = $s_VehiculoPlaca;
    }

    /* Obtiene el valor del campo VehiculoPlaca */
    public function getVehiculoPlaca()
    {
        return $this->s_VehiculoPlaca;
    }

    /* Establece el valor del campo VehiculoPlaca2 */
    public function setVehiculoPlaca2( $s_VehiculoPlaca2 )
    {
        $this->s_VehiculoPlaca2 = $s_VehiculoPlaca2;
    }

    /* Obtiene el valor del campo VehiculoPlaca2 */
    public function getVehiculoPlaca2()
    {
        return $this->s_VehiculoPlaca2;
    }

    /* Establece el valor del campo VehiculoMarca */
    public function setVehiculoMarca( $s_VehiculoMarca )
    {
        $this->s_VehiculoMarca = $s_VehiculoMarca;
    }

    /* Obtiene el valor del campo VehiculoMarca */
    public function getVehiculoMarca()
    {
        return $this->s_VehiculoMarca;
    }

    /* Establece el valor del campo VehiculoMdelo */
    public function setVehiculoMdelo( $s_VehiculoMdelo )
    {
        $this->s_VehiculoMdelo = $s_VehiculoMdelo;
    }

    /* Obtiene el valor del campo VehiculoMdelo */
    public function getVehiculoMdelo()
    {
        return $this->s_VehiculoMdelo;
    }

    /* Establece el valor del campo NroMotor */
    public function setNroMotor( $s_NroMotor )
    {
        $this->s_NroMotor = $s_NroMotor;
    }

    /* Obtiene el valor del campo NroMotor */
    public function getNroMotor()
    {
        return $this->s_NroMotor;
    }

    /* Establece el valor del campo Altura */
    public function setAltura( $s_Altura )
    {
        $this->s_Altura = $s_Altura;
    }

    /* Obtiene el valor del campo Altura */
    public function getAltura()
    {
        return $this->s_Altura;
    }

    /* Establece el valor del campo Volumen */
    public function setVolumen( $s_Volumen )
    {
        $this->s_Volumen = $s_Volumen;
    }

    /* Obtiene el valor del campo Volumen */
    public function getVolumen()
    {
        return $this->s_Volumen;
    }

    /* Establece el valor del campo NroSOAT */
    public function setNroSOAT( $s_NroSOAT )
    {
        $this->s_NroSOAT = $s_NroSOAT;
    }

    /* Obtiene el valor del campo NroSOAT */
    public function getNroSOAT()
    {
        return $this->s_NroSOAT;
    }

    /* Establece el valor del campo VencSOAT */
    public function setVencSOAT( $d_VencSOAT )
    {
        $this->d_VencSOAT = $d_VencSOAT;
    }

    /* Obtiene el valor del campo VencSOAT */
    public function getVencSOAT()
    {
        return $this->d_VencSOAT;
    }

    /* Establece el valor del campo NroMTC */
    public function setNroMTC( $s_NroMTC )
    {
        $this->s_NroMTC = $s_NroMTC;
    }

    /* Obtiene el valor del campo NroMTC */
    public function getNroMTC()
    {
        return $this->s_NroMTC;
    }

    /* Establece el valor del campo RUCtransportista */
    public function setRUCtransportista( $s_RUCtransportista )
    {
        $this->s_RUCtransportista = $s_RUCtransportista;
    }

    /* Obtiene el valor del campo RUCtransportista */
    public function getRUCtransportista()
    {
        return $this->s_RUCtransportista;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdVehiculo' => $this->getIdVehiculo(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'VehiculoPlaca' => $this->getVehiculoPlaca(),
            'VehiculoPlaca2' => $this->getVehiculoPlaca2(),
            'VehiculoMarca' => $this->getVehiculoMarca(),
            'VehiculoMdelo' => $this->getVehiculoMdelo(),
            'NroMotor' => $this->getNroMotor(),
            'Altura' => $this->getAltura(),
            'Volumen' => $this->getVolumen(),
            'NroSOAT' => $this->getNroSOAT(),
            'VencSOAT' => $this->getVencSOAT(),
            'NroMTC' => $this->getNroMTC(),
            'RUCtransportista' => $this->getRUCtransportista(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto TR_VehiculoBN desde un RecordSet */
    public static function retrieveByRs( $o_TR_VehiculoRs )
    {
        $o_TR_VehiculoBN = new TR_VehiculoBN();
        $o_TR_VehiculoBN->setIdVehiculo( ( integer ) $o_TR_VehiculoRs[ "IdVehiculo" ] );
        $o_TR_VehiculoBN->setIdCompania( ( integer ) $o_TR_VehiculoRs[ "IdCompania" ] );
        $o_TR_VehiculoBN->setIdSucursal( ( integer ) $o_TR_VehiculoRs[ "IdSucursal" ] );
        $o_TR_VehiculoBN->setVehiculoPlaca( $o_TR_VehiculoRs[ "VehiculoPlaca" ] );
        $o_TR_VehiculoBN->setVehiculoPlaca2( $o_TR_VehiculoRs[ "VehiculoPlaca2" ] );
        $o_TR_VehiculoBN->setVehiculoMarca( $o_TR_VehiculoRs[ "VehiculoMarca" ] );
        $o_TR_VehiculoBN->setVehiculoMdelo( $o_TR_VehiculoRs[ "VehiculoMdelo" ] );
        $o_TR_VehiculoBN->setNroMotor( $o_TR_VehiculoRs[ "NroMotor" ] );
        $o_TR_VehiculoBN->setAltura( $o_TR_VehiculoRs[ "Altura" ] );
        $o_TR_VehiculoBN->setVolumen( $o_TR_VehiculoRs[ "Volumen" ] );
        $o_TR_VehiculoBN->setNroSOAT( $o_TR_VehiculoRs[ "NroSOAT" ] );
        $o_TR_VehiculoBN->setVencSOAT( utilTimestamp::getTimestamp( $o_TR_VehiculoRs[ "VencSOAT" ], "Y-m-d H:i:s" ) );
        $o_TR_VehiculoBN->setNroMTC( $o_TR_VehiculoRs[ "NroMTC" ] );
        $o_TR_VehiculoBN->setRUCtransportista( $o_TR_VehiculoRs[ "RUCtransportista" ] );
        $o_TR_VehiculoBN->setEstado( $o_TR_VehiculoRs[ "Estado" ] );
        $o_TR_VehiculoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_TR_VehiculoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_TR_VehiculoBN->setUsuarioCreacion( $o_TR_VehiculoRs[ "UsuarioCreacion" ] );
        $o_TR_VehiculoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_TR_VehiculoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_TR_VehiculoBN->setUsuarioModificacion( $o_TR_VehiculoRs[ "UsuarioModificacion" ] );
        return $o_TR_VehiculoBN;
    }
}
?>